﻿/* Generated with Author-it 5.4.131.8883  7/28/2011 12:03:57 AM */
Page=new Array();Page[0]=new Array("Congratulations on purchasing Parallels Workstation. Now you can create virtual machines, install different operating systems, and use them simultaneously on your computer.","Use this guide to quickly set up and start using Parallels Workstation.","Welcome to Parallels Workstation","32944.htm");
Page[1]=new Array("With Parallels Workstation, you can:","Install and use 32-bit and 64-bit guest operating systems on your host computer","Easily share files, devices, and other resources between operating systems","Run host OS and Windows guest OS programs seamlessly on one desktop","Copy and paste text and drag and drop objects between host OS and guest OS programs","Transfer the operating system and all your data from a remote Windows or Linux computer and use them on your host computer","If you have Parallels Workstation Extreme and your computer supports Intel VT-d, assign physical PCI Express (PCIe) devices directly to virtual machines","And much more","What You Can Do","32945.htm");
Page[2]=new Array("To run guest operating systems, Parallels Workstation creates a &quot;virtual machine,&quot; or a virtual copy of a computer, inside your host computer. You can then install any supported &quot;guest OS&quot; in the virtual machine, just as you would install an operating system on a regular computer.","You can use multiple operating systems together at the same time on the host computer. And just like with a regular computer, you can turn virtual machines on and off, configure them, and install and use programs.","About Virtual Machines","32946.htm");
Page[3]=new Array("Follow the instructions in this chapter to install Parallels Workstation or upgrade from an earlier version.","Install Parallels Workstation","32947.htm");
Page[4]=new Array("To install and set up Parallels Workstation 6, your computer must meet the hardware and software requirements listed below:","Hardware Requirements","Minimum 1.66 GHz x86 (32-bit) or x64 (64-bit) CPU.","To run 64-bit guest operating systems, you need a processor that supports the Intel VT-x hardware virtualization technology.","To assign PCI Express (PCIe) devices directly to your virtual machines, you need a processor that supports the Intel VT-d technology.","The support for Intel VT-x and VT-d may be disabled by default in some computers that actually support them. To enable these features, in most cases enter BIOS, go to System Settings &gt; Virtualization Support, and select the Enable Intel Virtualization and Enable Intel VT for Direct I/O check boxes.","For detailed information on enabling the Intel VT-x and VT-d features in BIOS, refer to the OEM supplier's documentation.","2 GB RAM minimum. 4 GB RAM or more is recommended.","The recommended amount of memory assigned to a virtual machine is 1-2 GB. You can assign up to 8 GB of RAM if Parallels Workstation is installed in the 32-bit host OS and up to 64 GB if in the 64-bit.","350 MB of hard disk space for the Parallels Workstation installation.","About 30 GB of hard disk space for each virtual machine.","To store a virtual machine's temporary files, you need to have twice as much free disk space as the overall amount of this virtual machine's memory: (memory + video memory) +150 MB.","DVD-ROM drive.","Ethernet network adapter.","If you want to use a directly connected PCIe video card in your virtual machine, you need:","Two PCIe video cards. One video card for your host computer and the other &#8211; for the virtual machine.","Parallels Workstation officially supports the NVIDIA Quadro® FX 1800, 3800, 4800, 5800, Q4000, Q5000, (Q2000? and Q6000?) video cards for virtual machines. For these video cards, use the latest drivers (starting from 182.65 for Windows and 180.51 for Linux ?) available on the manufacturer's website.","Direct assignment of PCIe video cards requires an NVIDIA Video BIOS version of 62.00.62.00.01 or later. If you have a supported video card which does not have this BIOS level, please contact your OEM supplier.","Software Requirements","Parallels Workstation 6 officially supports the following host operating systems:","Host Operating Systems","32-bit","64-bit","Windows 7","Windows Vista SP1, SP2","Windows XP Pro SP3","Windows XP Home SP3","Windows XP Pro SP2","Debian 6.0","Fedora 14, 15","RHEL 6, 6.1","SLED 11 SP1","Ubuntu 10.10, 11.04","Parallels Workstation 6 Extreme officially supports the following host operating systems:","Host Operating Systems","32-bit","64-bit","Windows 7","Windows Vista SP2","Windows XP SP2","RHEL 6","In Linux operating systems, make sure the following software packages are installed:","kernel development packages","Note: In RedHat-based systems, such packages are called kernel-&lt;kernel_version&gt;-devel, in Debian-based systems - linux-headers-&lt;kernel_version&gt;.","gcc of the version with which the host kernel was compiled","32-bit version of glibc 2.3.6 or later","make or gmake","the 32-bit version of the alsa-plugins-pulseaudio package in the Fedora 10 (64-bit) operating system","For 64-bit systems, it is also desired to have 32-bit alsa-lib installed in RedHat-based systems or lib32asound in Debian-based systems.","If you do not have any of the aforementioned packages installed on your Linux-based physical computer, the Parallels Workstation installer tries to install it automatically.","What You Need","23607.htm");
Page[5]=new Array("Before installing Parallels Workstation, make sure your computer meets the system requirements.","Install Parallels Workstation","32949.htm");
Page[6]=new Array("You can be up and running with Parallels Workstation in a few easy steps.","Note: To install Parallels Workstation in Windows, you must have administrator's rights.","To install Parallels Workstation:","Locate the Parallels Workstation setup file (ParallelsWorkstation-parallels-en_US-6.0.xxxxx.xxxxxx.exe) and double-click it. This file is available either:","on the Parallels Workstation installation disc included in the boxed version of Parallels Workstation; or","you can download it from the Parallels website.","If your computer is connected to the Internet, Parallels Workstation checks for available updates. If an update is available, click &quot;Download and Install New Version&quot; to get the latest version of Parallels Workstation.","Follow the onscreen instructions to install Parallels Workstation.","Note: When you're presented with information about the Parallels Customer Experience program, you can choose whether you want to participate. If you choose not to, you can join the program later using the Feedback pane of Parallels Workstation Preferences.","Install Parallels Workstation in Windows","22744.htm");
Page[7]=new Array("Before installing Parallels Workstation on a Linux computer, make sure that the packages and libraries listed in the system requirements for Linux host operating systems are installed in your system.","Note: You must have the root privileges to be able to install Parallels Workstation in a Linux operating system.","To install Parallels Workstation in Linux, you need a RUN installation package. It is available on the Parallels Workstation installation disc included in the boxed version of Parallels Workstation or can be downloaded from the Parallels website.","To install Parallels Workstation in Linux:","Disable SELinux in the host operating system (you can enable it again after the installation is complete). For the detailed information on how to do this, please refer to your Linux distribution documentation and/or support resources.","Locate the .run installation package in a terminal and make sure it is executable. To do this, use the following command:","# chmod +x parallels-workstation-parallels-en_US-6.0.xxxxx.xxxxxx.run","where parallels-workstation-parallels-en_US-6.0.xxxxx.xxxxxx.run is the name of your .run installation package.","Start the Parallels Workstation installation by executing the following command:","# ./parallels-workstation-parallels-en_US-6.0.xxxxx.xxxxxx.run","Parallels Workstation connects to the Parallels update server and checks for available updates. If there is a newer version of Parallels Workstation available, you will be offered to install the most recent version of Parallels Workstation. If you do not want to install the most recent version, you can choose to install the version from the installation media.","Note: If the host computer is accessing the Internet only via a proxy server, configure the proxy server settings to allow Parallels Workstation to check for available updates during the installation process. For more information on how to configure the proxy server settings, refer to the corresponding subsection below.","If there are no updates available or your host computer is not connected to the Internet, Parallels Workstation will be installed from the current installation source.","Parallels Workstation Installer starts. In the Welcome screen, click Next.","In the License Agreement screen, read the license agreement scrolling it by pressing Spacebar on your keyboard. To accept the agreement, click the Accept button.","In the CEP Agreement screen, you can choose to participate in the program that will help us improve Parallels Workstation according to your experience. Read carefully the information about the program and click the Agree button if you want to participate in it. Otherwise click Disagree.","When the installation is complete, click Exit.","To exit the terminal, enter:","exit","Configure Proxy Server Settings","If the host computer is accessing the Internet only via a proxy server, you should configure the proxy server settings to allow Parallels Workstation to check for available updates during the installation process. To this effect, start the Parallels Workstation installation as follows:","Execute the following command to start the installation:","sudo ./parallels-workstation-parallels-en_US-6.0.xxxxx.xxxxxx.run -- -p proxy_server_host_name:port","or","sudo ./parallels-workstation-parallels-en_US-6.0.xxxxx.xxxxxx.run -- -p ip_address:port","where proxy_server_host_name stands for the proxy server host name, ip_address stands for the proxy server IP address, and port stands for the proxy server port.","Continue the installation as it was described above.","If the proxy-server requires authentication, you will be prompted to enter your name and password in one of the steps.","Install Parallels Workstation in Linux","22555.htm");
Page[8]=new Array("Activate Parallels Workstation","Once the installation is finished, you must activate Parallels Workstation to use all of its features.","Open Parallels Workstation.","Click Activate Product.","Enter your Product Activation Key.","Note: If you bypass the activation dialog, you can activate Parallels Workstation later by choosing Help &gt; Activate product and entering your Product Activation Key.","If You Don't Have A Product Activation Key","If you don't have a key already, you can get one by choosing Help &gt; Activate Product. Then, to get a free trial Product Activation Key so you can try out Parallels Workstation for a limited time, click obtain a free trial activation key. Or to purchase a key that lets you use Parallels Workstation permanently, click purchase a permanent activation key.","Registering Parallels Workstation","During installation, you're presented with the opportunity to register Parallels Workstation. Registering allows you to:","Download and install the latest Parallels Workstation updates.","Create a backup copy of the product key on the Parallels web server and restore it at any time.","Easily contact the Parallels support team, using the support code.","Stay informed about Parallels news and announcements.","Note: If you choose not to register Parallels Workstation during installation, you can register anytime by choosing Help &gt; Register product when the program is open.","Activate and Register Parallels Workstation","22160.htm");
Page[9]=new Array("There are a few ways you can get started using guest operating systems alongside the host operating system:","Install a new guest operating system in a Parallels Workstation virtual machine","Import a virtual machine from a previous version of Parallels Workstation or from VMware, Microsoft Virtual PC, or VirtualBox.","Transfer an operating system and all your data from a remote PC to a Parallels Workstation virtual machine on your host computer.","Read on to learn how.","Setting Up a Virtual Machine","32951.htm");
Page[10]=new Array("Parallels Workstation 6 officially supports the following guest operating systems:","Guest Operating Systems","32-bit","64-bit","Express installation","Windows 7","Windows Vista SP1, SP2","Windows XP Pro SP3","Windows XP Home SP3","Windows XP Pro SP2","Debian 6.0","Fedora 14, 15","OpenSUSE 11.1","RHEL 6, 6.1","SLED 11 SP1","Ubuntu 10.10, 11.04","Parallels Workstation 6 Extreme officially supports the following guest operating systems:","Guest Operating Systems","32-bit","64-bit","Express installation","Windows 7","Windows Vista SP2","Windows XP SP3","Windows XP SP2","Fedora 14, 15","RHEL 6, 6.1","RHEL 5.5","Supported Guest Operating Systems","23584.htm");
Page[11]=new Array("If this is your first time using Parallels Workstation, or if you simply want to start with a fresh installation, you can install any supported guest operating system into a new Parallels Workstation virtual machine.","You need one of the following:","An operating system installation disc; or","An image file of such an installation disc.","To install a guest operating system, use New Virtual Machine Wizard. This wizard works in three modes:","Express Windows. Use this mode to install Windows 7/Vista/XP and Parallels Tools (software that makes your work with the guest operating system much more comfortable) automatically.","Typical. Use this mode to create a virtual machine with a typical configuration.","Custom. Use this mode if you want to customize the virtual machine configuration while creating it.","This guide provides you with the instructions on how to create a virtual machine in the Typical mode. For the instructions on creating virtual machines in the Custom or Express Windows modes, refer to Parallels Workstation User's Guide.","To create a typical virtual machine:","Start Parallels Workstation:","In Windows: Click Start &gt; All programs &gt; Parallels &gt; Parallels Workstation Extreme &gt; Parallels Workstation Extreme.","In Linux: Choose System Tools &gt; Parallels Workstation from the Applications menu.","In the Parallels Workstation window click Create a New Virtual Machine or choose File &gt; New.","Do one of the following:","If you're installing from a disc, insert the disc.","If you're installing from an image file on another hard disk, connect the disk to the host computer.","Select the operating system you want to install.","In the Virtual Machine Type window, select Typical and click Next.","Click Choose and specify where you want to store the virtual machine.","By default, Parallels Workstation stores the virtual machine in your Documents &gt; My Parallels folder.","When ready, click Next. The wizard creates a virtual machine.","In the Install Operating System window, select the source of the installation files from the Source menu.","Click Start to begin installing the guest operating system in the virtual machine or click Done if you want to install it later.","Create a Virtual Machine","32952.htm");
Page[12]=new Array("If you already have a virtual machine stored on the host computer but it is missing from the list of virtual machines registered in Parallels Workstation, you can easily add it with the help of Add Existing Virtual Machine Wizard.","To add an existing virtual machine","Choose Add Existing from the File menu to start Add Existing Virtual Machine Wizard.","In the Select a Virtual Machine window, locate the virtual machines you want to add:","You can set the path to a specific virtual machine's configuration file (config.pvs). Select the Add a specific virtual machine option and type the path in the File field or click the Choose button and navigate to the necessary file. Click Next to register this virtual machine in Parallels Workstation.","You can find all virtual machines in a specific folder. Select the Search for virtual machines in this folder option, type the path to the necessary folder in the Start from field or click the Choose button, and navigate to it. Click Search.","If you chose Search for virtual machines in this folder, in the next window the wizard displays all the virtual machines found in the specified folder that are not registered in Parallels Workstation. Select the virtual machines you want to add.","If you want to select all items at a time, click the Select All button @ displayed below the list.","If you want to clear all items at a time, click the Clear All button @ displayed below the list.","Review the selection and click Add.","Import from an Earlier Parallels Workstation or Other Virtualization Application","22228.htm");
Page[13]=new Array("Parallels Transporter allows you to import all your data from a remote PC to Parallels Workstation on the host computer. Then you can continue to work with all your programs, files, and data, side-by-side with the host OS.","To learn how to work with Parallels Transporter, please refer to Parallels Transporter User's Guide available on the Parallels website.","Transfer Your Data from a PC","32954.htm");
Page[14]=new Array("Parallels Tools are a set of utilities that help you use guest operating systems in the most comfortable and cohesive way. For example, with Parallels Tools you can move the mouse seamlessly between your host and guest operating systems, change the virtual machine's screen resolution by simply resizing its window, view synchronized time and date settings between your host and guest operating systems, and more.","If you installed a Windows guest operating system using Express Installation, Parallels Tools were installed automatically and you don't have to do anything else. Otherwise, it's recommended that you install Parallels Tools to get the most out of Parallels Workstation.","To install or update Parallels Tools:","Start the virtual machine in which you want to install Parallels Tools and log in to the guest operating system.","Choose Virtual Machine &gt; Install Parallels Tools to install Parallels Tools for the first time, or Virtual Machine &gt; Update Parallels Tools to update to the latest version.","Note: If the Install Parallels Tools option is unavailable, Parallels Tools may not support your guest operating system. To see the list of guest operating systems supported by Parallels Tools, choose Help &gt; Parallels Workstation Help and see the Parallels Tools Overview section.","The Parallels Tools installation wizard opens.","Click Install.","When the installation is complete, click Reboot to restart the virtual machine.","For detailed information about Parallels Tools, choose Help &gt; Parallels Workstation Help.","Install and Update Parallels Tools","32955.htm");
Page[15]=new Array("Read this chapter to learn the basics of using a guest operating system on your host computer.","Manage a Virtual Machine","32956.htm");
Page[16]=new Array("Starting a Virtual Machine","To start up a virtual machine:","In Parallels Workstation, select the virtual machine you want to start.","Choose Start from the Virtual Machine menu.","Shutting Down a Virtual Machine","You can shut down the guest operating system the way you would normally shut it down. For example, in Windows choose Shut Down from the Start menu.","You can also choose an option from the Virtual Machine State menu @ at the bottom of the Parallels Workstation window:","Choose Suspend to freeze the guest operating system in its current state. You can safely quit Parallels Workstation, open it again later, and resume everything right from where you left off.","Choose Pause to stop using the guest operating system and allow its resources to be used by the host computer or other virtual machines.","Choose Shut Down to shut down the guest operating system the way it would normally shut down.","Choose Stop to stop the guest operating system without going through the normal shut down procedures. Stopping a virtual machine is like unplugging a computer while it is running. None of your data is saved.","Start Up and Shut Down a Virtual Machine","32957.htm");
Page[17]=new Array("While running a guest operating system you can switch between the following view modes:","Window mode. The guest operating system desktop and its programs appear together in a separate window. This is the default view mode.","Full Screen mode. The guest operating system is expanded to occupy the whole of your physical computer's screen. The host operating system is hidden.","Coherence mode. Programs from the guest and host operating systems appear together on the host OS desktop. The desktop of the guest operating system is invisible.","Note: The Coherence view mode is available only for Windows 7/Vista/XP guest operating systems with Parallels Tools installed.","To switch a virtual machine working in the Window view mode to any other view mode, use the View Mode menu in the lower right corner of the virtual machine window.","Note: You can change the virtual machine view mode only when the virtual machine is running.","Set the View Mode","32958.htm");
Page[18]=new Array("You can install programs in a Parallels virtual machine using the following media:","CD and DVD discs","Images of CD or DVD discs made with the help of third-party imaging products","Note: Parallels Workstation supports ISO image files.","To install a program using a CD or DVD disc:","Insert the disc.","Do one of the following:","Click the CD/DVD icon @ in the virtual machine status bar and choose Real CD/DVD from the shortcut menu.","Choose CD/DVD 1 &gt; Real CD/DVD from the Devices menu.","To use an image of a disc:","Do one of the following:","Click the CD/DVD icon @ in the virtual machine status bar and choose Connect Image from the shortcut menu.","Choose CD/DVD 1 &gt; Connect Image from the Devices menu.","Specify the image file.","For further installation steps, refer to the documentation of the program you are installing.","Install Programs in a Virtual Machine","32959.htm");
Page[19]=new Array("If you're using Parallels Workstation Extreme and the host computer has an Intel VT-d chipset, you can assign the PCI Express (PCIe) devices of the host computer directly to your virtual machines.","To connect a PCIe device to a virtual machine","Assign the device to virtual machines in the Intel VT-d pane of Parallels Workstation Preferences.","Note: You must have at least two adapters of the same type (video or network). When you assign one adapter to a virtual machine, it becomes invisible to the host operating system. The other adapter must be left to the host computer.","Add the device to the virtual machine configuration.","Start the virtual machine and install the manufacturer's driver for this PCIe device in the guest operating system. The driver must support the Intel VT-d technology.","Note: Parallels Workstation Extreme officially supports the NVIDIA Quadro® FX 1800, 3800, 4800, 5800, Q4000, Q5000, Q2000 and Q6000 video cards for virtual machines. For these video cards, use the latest drivers available on the manufacturer's website.","Troubleshooting","In Windows virtual machines, if the pass-through driver cannot be installed automatically after a PCIe device is assigned to virtual machines, install it manually:","Go to Start &gt; Control Panel &gt; System &gt; Hardware and open the Device Manager.","In the Device Manager, locate the appropriate PCIe device, right-click it and choose Update Driver from the context menu.","In the Hardware Update wizard, choose to install the driver from the specific location.","Choose to specify the driver yourself.","In the next window, select the Have Disk option and specify the following path to the driver&#8217;s location: C:\\Program Files\\Parallels\\Parallels Workstation\\Drivers\\prl_vtdvideo.inf or C:\\Program Files\\Parallels\\Parallels Workstation\\Drivers\\prl_vtdnet.inf and click Open.","Follow the wizard&#8217;s instructions to complete the installation of the driver.","Restart the host computer.","In rare cases you cannot boot the primary Linux operating system after a PCIe device is added to the configuration of a virtual machine. To work around the issue, do the following:","In the grub loader splash screen, with your primary operating system selected in the list, press e on the keyboard to display the boot parameters.","Select the line starting with &quot;kernel&quot; by pressing the down arrow on the keyboard.","Press e to launch an editor for the selected line.","At the end of the line, add","init=/bin/sh","Press Enter to return to the boot parameters screen.","Press b to boot the kernel.","In the command line window, mount the root partition in read-write mode by entering","mount /dev/root / -oremount,rw ","Note: If you want your root partition to be mounted to a different location, replace root with this location in the command above.","Type the following command and press Enter:","echo -n &quot;&quot; &gt; /etc/parallels/vtd.hook","Type the following command and press Enter:","mount /dev/root / -oremount,ro ","Type the following command and press Enter:","reboot","This procedure makes your primary Linux operating system boot normally.","Connect PCI Devices Directly to Virtual Machines","33129.htm");
Page[20]=new Array("A snapshot is a saved state of a virtual machine. After you save a snapshot, you can continue working with the virtual machine and revert to the snapshot at any time. All of your settings and data revert to the saved state.","You can create a snapshot when the virtual machine is running, paused, or stopped.","To save a snapshot:","Choose Virtual Machine &gt; Take Snapshot.","Type a name for the snapshot and, if desired, provide a short description.","To access the snapshot, choose Virtual Machine &gt; Manage Snapshots.","For more information about snapshots, choose Help &gt; Parallels Workstation Help and search for &quot;snapshots.&quot;","Save a Snapshot of a Virtual Machine","32960.htm");
Page[21]=new Array("For detailed instructions on how to use all the features of Parallels Workstation, see the Parallels Workstation User's Guide, available online.","To download the Parallels Workstation User's Guide:","In Parallels Workstation, choose Help &gt; Online Documentation (you must be connected to the Internet).","A web page opens with access to all of the Parallels Workstation manuals.","Click the PDF link next to Parallels Workstation User's Guide.","In the Parallels Workstation Users Guide, you can find information on things like:","Sharing files","Connecting devices","Configuring virtual machine settings","Configuring network settings","Protecting your virtual machines","Optimizing virtual machines","And much more","There are also many other ways to get help and information on using Parallels Workstation:","Parallels Workstation Help: For detailed instructions on using all of the Parallels Workstation features, open Parallels Workstation and choose Help &gt; Parallels Workstation Help. This resource has all of the same information as the Parallels Workstation User's Guide. ","Context-sensitive help: In Windows, press F1 to get information relating the active window.","Parallels Command Line Reference Guide: This document, available on the Parallels Online documentation page, has information on using the prlctl command line utility to manage Parallels Workstation and its virtual machines from a terminal.","Parallels API references and the SDK programmer's guide: These guides for IT-professionals can be found on the Parallels Online documentation page.","Parallels support website: The Parallels support website includes product help files and a FAQ section.","Parallels Knowledge Base: This online resource comprises valuable articles about using Parallels Workstation and other Parallels products.","Parallels forums: The Parallels forums are a great place to search for answers, post questions, or answer other users' questions.","Feedback","Parallels welcomes your feedback on how to make our documentation more helpful. You can submit feedback using the Documentation Feedback form on our website.","Learning More, Support, and Feedback","33130.htm");
var PageCount=22;

function search(SearchWord){
var Result="";
var NrRes=0;
Result='<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">\n';
Result+="<html>\n";
Result+="<head>\n";
Result+="<title>Search Results</title>\n";
Result+="<meta http-equiv='Content-Type' content='text/html; charset=ISO-8859-1'>\n";
Result+='<script language="javascript" type="text/javascript" charset="ISO-8859-1" src="dhtml_search.js"></script>\n';
Result+='<link rel="stylesheet" type="text/css" href="stylesheet.css">\n';
Result+='<link rel="stylesheet" type="text/css" href="2007.css">\n';
Result+="</head>\n";
Result+="<body onload='javascript:document.SearchForm.SearchText.focus()'>\n";


/* old */ /*

Result+='<p class="searchDetails">Enter a keyword or phrase';

Result+='<form name="SearchForm" action="javascript:search(document.SearchForm.SearchText.value)">';
if(SearchWord.length>=1){
   while(SearchWord.indexOf("<")>-1 || SearchWord.indexOf(">")>-1 || SearchWord.indexOf('"')>-1){
       SearchWord=SearchWord.replace("<","&lt;").replace(">","&gt;").replace('"',"&quot;");
   }
}
Result+='<input type="text" name="SearchText" size="25" value="' + SearchWord + '" />';
Result+='&nbsp;<input type="submit" value="&nbsp;go&nbsp;"/></form>';
Result+='</p>\n';

*/ /* new */


Result+='<form name="SearchForm" action="javascript:search(document.SearchForm.SearchText.value)">';
Result+='<p class="searchDetails">Enter a keyword or phrase';

if(SearchWord.length>=1){
   while(SearchWord.indexOf("<")>-1 || SearchWord.indexOf(">")>-1 || SearchWord.indexOf('"')>-1){
       SearchWord=SearchWord.replace("<","&lt;").replace(">","&gt;").replace('"',"&quot;");
   }
}

Result+='<input type="text" name="SearchText" class="inputText" value="' + SearchWord + '" />';
Result+='&nbsp;<input type="submit" value="&nbsp;go&nbsp;"/>';
Result+='</p>\n';
Result+='</form>\n';

/* end */



if(SearchWord.length>=1){
   SearchWord=SearchWord.toLowerCase();
   this.status="Searching, please wait...";
   Result+="<table border='0' cellpadding='0' cellspacing='0' class='tocTable' width='90%'>";

   for(j=0;j<PageCount;j++){
       k=Page[j].length-1;
       for(i=0;i<k;i++){
           WordPos=Page[j][i].toLowerCase().indexOf(SearchWord);
           if(WordPos>-1){
                NrRes++;
               break; }}}

   Result+="<tr><td class='search'><p class='searchFound'>" + NrRes + " results found</p></td></tr>";

   for(j=0;j<PageCount;j++){
       k=Page[j].length-1;
       for(i=0;i<k;i++){
           WordPos=Page[j][i].toLowerCase().indexOf(SearchWord);
           if(WordPos>-1){

               FoundWord=Page[j][i].substr(WordPos,SearchWord.length);
               NrRes++;
               Result+="<tr><td class='search'><p class='searchResults'>";
               Result+="<a target='BODY' href='"+Page[j][k]+"'>"+Page[j][k-1].replace(FoundWord,"<span class='searchFoundWord'>"+FoundWord+"</span>")+"</a><br/>\n";

               if(i<k-1){
                   if(Page[j][i].length>350){
                       Result+="..."+Page[j][i].substr(WordPos-100,200+FoundWord.length).replace(FoundWord,"<span class='searchFoundWord'>"+FoundWord+"</span>")+"...\n";
                   }
                   else{
                       Result+=Page[j][i].replace(FoundWord,"<span class='searchFoundWord'>"+FoundWord+"</span>")+"\n";
                   }
               }
               Result+="</p></td></tr>";
               break;			   
           }		   
       }	   
   }
     
   Result+="</table>";
   

}

Result+="</body></html>";
this.status="";
this.document.open();
this.document.write(Result);
this.document.close();
}